<div class="follow-up-reasons">
    <div id="matDialogContent">
        <form [formGroup]="followUpReasonGroup" autocomplete="off" >
            <mat-dialog-content>
                <div fxLayout="row" fxLayout.lt-md="column" style="justify-content: center !important;">
                    <mat-label><b>Follow-Up Reasons</b></mat-label>
                </div>
                <!-- <mat-divider></mat-divider> -->
                <br />
                <div fxLayout="row" fxLayout.lt-md="column">
                    <div fxLayout="column" fxLayoutAlign="start" fxFlex="100">
                        <det-client-banner [isHousingProgramType]="false" [canShowApplicationLink]="false"
                            [canShowClientCaseFolderLink]="false"></det-client-banner>
                    </div>
                </div>
                <br />
                <div fxLayout="row" fxLayout.lt-md="column">
                    <mat-label>
                        <b>You have completed the Housing Determination 
                        but you are not able to sign off because of the following reason(s)
                        </b>
                    </mat-label>
                </div>
                <br />
                <div fxLayout="column" flex>
                    <div fxLayout="row">
                        <!-- <div fxFlex="25" class="col1header"><span fxFlex="100">Action #</span></div> -->
                        <div fxFlex="100" class="col1header"><span fxFlex="100">Reason</span></div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="0px" *ngFor="let item of followUpReasons">
                        <!-- <div fxFlex="25" class="col1">
                            {{ item.ruleNumber }}
                        </div> -->
                        <div fxFlex="100" class="col1 margin-left-10">
                            {{ item.reasonDescription }}
                        </div>
                    </div>
                </div>
                <br>

                <div fxLayout="column" flex>
                    <mat-label>Comment : </mat-label>
                    <div fxLayout="row">
                        <mat-form-field appearance="outline" class="textarea">
                            <textarea matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="6" matInput
                                #comment name="comment" required maxlength="2000" 
                                formControlName="comment">
                            </textarea>
                        </mat-form-field>
                    </div>
                </div>

            </mat-dialog-content>
        </form>
    </div>
    <!-- <mat-divider></mat-divider> -->
    <div>
        <mat-dialog-actions>
            <div fxLayout="row" fxLayout.lt-md="column" class="divButtons">
                <div fxLayoutAlign="center">
                    <button type="button" mat-raised-button color="primary" matTooltip="OK"
                        matTooltipClass="pact-tooltip" (click)="saveFollowUp()">OK</button>
                    &nbsp;&nbsp; <button type="button" mat-raised-button color="warn" matTooltip="Cancel"
                        matTooltipClass="pact-tooltip" (click)="closeDialog()">Cancel</button>
                </div>
            </div>
        </mat-dialog-actions>
    </div>
</div>